/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

:host {
  display: block;
  width: 100%;

  &:empty {
    display: none;
  }
}

.information {
  display: flex;
  flex-direction: row;
  padding: 1em;
  overflow: auto;
}

.information-display-container {
  display: grid;
  grid-template-columns: max-content auto;
  grid-column-gap: 0.5em;
  margin-right: 0.5em;
  min-width: 20em;
  flex: 1;

  > * {
    margin-bottom: 0.1em;
  }
}

.information--identifiers {
  display: flex;
  flex-direction: column;
  margin-right: 1em;
  margin-left: 1em;

  > * {
    margin-bottom: 0.1em;
  }
}

.information--identifiers--key {
  font-weight: 600;
  margin-bottom: 0.1em;
}

.information--contact-details {
  display: flex;
  flex-direction: column;
  flex: 1;
}
